Subject: Cache-Control: no-cache

From: Zhong Yu <[email-masked]>
Date: Wed, 29 Feb 2012 22:04:03 -0600

On Wed, Feb 29, 2012 at 4:34 PM, Adrien de Croy <[email-masked]> wrote:

> On 28/02/2012 2:56 p.m., Amos Jeffries wrote:
>> Intermediary admin already have to violate the specs to a certain degree,
>> ignoring no-cache to reduce bandwidth costs wrongly imposed by broken server
>> libraries which insist on sending no-cache and no-store on static content.

> Last time I sampled Cache-control response headers (over couple million hits
> crawling sites), I found a large majority use it to prevent caching.  Very
> few to enable it.  It's a shame.

For most modern web sites, I can see "heuristic expiration" is their
enemy. They need to disable it by "no-cache".

A library aiming to simplify web development is justifiable to
automatically add "no-cache" if "Expires" is not set. Otherwise,
developers will pull their hair off, no understanding why the browser
refuses to fetch an updated page.

Ideally, developers should assign proper "Expires" header for
responses. But it is not a simple task. I would say it is very hard.
It may not make economical sense for most sites to spend time thinking
about it.

Zhong Yu